Subject: Re: bug#54961: 28.1; info-display-manual completions issues

From: Howard Melman <[email-masked]>
Date: Tue, 19 Apr 2022 09:27:11 -0400

(sorry for the extra email Eli)

On Apr 19, 2022, at 1:35 AM, Eli Zaretskii <[email-masked]> wrote:
> 
>> Am I supposed to see these section headings in the Info dir?
> 
>> I see various section headings for other manuals installed in
>> /usr/local/share/info but not for the ones in the Emacs provided
>> dir file.
> 
> I don't understand: the DIR file that comes with Emacs already has
> sections in it.
> 
>> This is vanilla Emacs 28 -Q on a mac.  The top is the Info
>> dir right after starting Emacs and the bottom is the contents of
>> /Applications/GnuEmacs.app/Contents/Resources/info/dir.
> 
> Seems like you have more than one DIR file (which is completely
> normal).

on emacs -Q (on mac)

Info-default-directory-list
("/Applications/GnuEmacs.app/Contents/Resources/info/" "/usr/local/share/info/" "/usr/share/info/")

after running C-h i, Info-directory-list is the same
("/Applications/GnuEmacs.app/Contents/Resources/info/" "/usr/local/share/info/" "/usr/share/info/")

There's a dir in each of those.  The dir in the GnuEmacs.app has sections
like "Emacs editing modes" and "Emacs misc features" (shown in the bottom
of the screenshot).   /usr/local/share/info/dir has sections like "Programming
& development tools" and "Individual utilities".  When I run C-h i the directory
that's displayed doesn't have sections from the former (as shown in the top
of the screenshot) and has different ones for the latter (there's "Software development"
and "Individual utilities").

When I run info, I don't see sections from the emacs supplied dir like "Emacs
editing modes".  Shouldn't I?  Is that a bug?

I have installed various emacs packages via package-install.  They don't all have
info manuals, but all the ones that do appear above Emacs in top level Info.  
Yesterday I reported bugs for several and several changed to use 
"@dircategory Emacs misc features".  I updated them via list-packages and
see in their info files stuff like:

   INFO-DIR-SECTION Emacs misc features
   START-INFO-DIR-ENTRY
   * Embark: (embark).     Emacs Mini-Buffer Actions Rooted in Keymaps.
   END-INFO-DIR-ENTRY

But when I restart emacs and run C-h i I still see them listed above emacs
and no sections.

Howard